package sqlite;

import java.sql.Connection;

/**
 * This is an introduction to the Setup and Table classes used to make the
 * examples easier to understand.  Setup typically drops all the tables,
 * creates new ones, and populates the new tables.  You might want to look
 * at it to see how to drop, create, and add tuples to tables.  The Table
 * class also has interesting SQL operations you should look at.  We use
 * Table primarily for printing a table.
 * 
 * Later we will start using the QueryResult class to print results of a
 * query.
 */
public class Sample2 {
 
    public static void main(String[] args) throws Exception {
        Connection connection = SetUp.initialize();

        Table.print(connection, "Person");
        System.out.println();
        Table.print(connection, "Occupation");

        connection.close();
    }
}

