package sqlite;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * These are designed to allow you to map your 236 knowledge to SQL.
 * We don't really use relational operations as taught in 236 to manipulate
 * real databases.
 */
public class SelectProjectRename {
 
    public static void main(String[] args) throws Exception {
        Connection connection = SetUp.initialize();

        Statement stat = connection.createStatement();

        Table.print(connection, "Person");
        System.out.println();
        
        String[][] columnInfo1 = {{"Id", "INTEGER"}, {"Phone", "TEXT"}};

	    try{
	        ResultSet rs = stat.executeQuery("select Id,Phone from Person;");
	        System.out.println("\n\nThe implementation of the project operation in SQL.");
		    System.out.println("select Id,Phone from Person; = ");
	        QueryResult.print(rs, columnInfo1);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 1");
	        System.err.println(sqlException);
	    }
        
        String[][] columnInfo2 = {{"Id", "INTEGER"}, {"Name", "TEXT"}, {"Phone", "TEXT"}};
	    
	    try{
	        ResultSet rs = stat.executeQuery("select * from Person where Name = 'Paul';");
	        System.out.println("\n\nThe implementation of the select operation in SQL.");
		    System.out.println("select * from Person where Name = 'Paul'; = ");
	        QueryResult.print(rs, columnInfo2);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 2");
	        System.err.println(sqlException);
	    }
        
        String[][] columnInfo3 = {{"Id", "INTEGER"}, {"Name", "TEXT"}, {"Phone Number", "TEXT"}};
	    
	    try{
	        ResultSet rs = stat.executeQuery("select Id, Name, Phone as 'Phone Number' from Person;");
	        System.out.println("\n\nThe implementation of the renaming operation (rename Phone to Phone Number) in SQL.");
		    System.out.println("select Id, Name, Phone as 'Phone Number' from Person; = ");
	        QueryResult.print(rs, columnInfo3);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query 3");
	        System.err.println(sqlException);
	    }


        connection.close();
    }
}

