package sqlite;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class Transactions {
 
    public static void main(String[] args) throws Exception {
        Connection connection = SetUp.initialize();

        Statement stat = connection.createStatement();

        Table.print(connection, "Person");
        System.out.println();
        Table.print(connection,  "Occupation");
        System.out.println();

	    try{
            stat.execute("BEGIN TRANSACTION;");
            stat.execute("insert into Person values ('12', 'me', '000-0000')");
            stat.execute("insert into Occupation values ('12', 'Loafer')");
            stat.execute("COMMIT TRANSACTION");  
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Transaction");
	        System.err.println(sqlException);
	        connection.rollback();
	    }
        
        String[][] columnInfo1 = {{"Id", "INTEGER"}, {"Name", "TEXT"}, {"Phone", "TEXT"}, {"Occupation", "TEXT"}};

	    try{
	        ResultSet rs = stat.executeQuery("select * from Person natural join occupation;");
	        System.out.println("BEGIN TRANSACTION;\n" +
            "insert into Person values ('12', 'me', '000-0000')\n" +
           "insert into Occupation values ('12', 'Loafer')\n" +
            "COMMIT TRANSACTION"); 
		    System.out.println("Result = ");
	        QueryResult.print(rs, columnInfo1);

	        rs.close();
	    }catch(SQLException sqlException) {
	        System.err.println("Could NOT Perform Query");
	        System.err.println(sqlException);
	    }

        connection.close();
    }
}

